#include <windows.h>

extern int uAdapter,uMode,GameType,table;
extern BOOL Windowed,FullVersion;

void GetRegSettings()
{
	unsigned long result;
	HKEY hRegKey;
	// get default values 
	DWORD adapter=(DWORD)uAdapter,mode=(DWORD)uMode;
	DWORD game=(DWORD)GameType,windowed=(DWORD)Windowed,Table=(DWORD)table;
		
	RegCreateKeyEx(HKEY_LOCAL_MACHINE,"Software\\3dPool\\Settings",0,
		"",0,KEY_ALL_ACCESS,NULL,&hRegKey,&result);
	
	if(result==REG_CREATED_NEW_KEY) // ie first time run 
	{	
		RegSetValueEx(hRegKey,"Adapter",0,REG_DWORD,(LPBYTE)&adapter,sizeof(DWORD) );
		RegSetValueEx(hRegKey,"Mode",0,REG_DWORD,(LPBYTE)&mode,sizeof(DWORD) );
		RegSetValueEx(hRegKey,"Game",0,REG_DWORD,(LPBYTE)&game,sizeof(DWORD) );
		RegSetValueEx(hRegKey,"Windowed",0,REG_DWORD,(LPBYTE)&windowed,sizeof(DWORD) );
		RegSetValueEx(hRegKey,"Table",0,REG_DWORD,(LPBYTE)&Table,sizeof(DWORD) );
		RegCloseKey(hRegKey);
		return;
	}

	unsigned long datatype,datasize=sizeof(DWORD);
	RegQueryValueEx(hRegKey,"Adapter",NULL,&datatype,(LPBYTE)&adapter,&datasize);
	RegQueryValueEx(hRegKey,"Mode",NULL,&datatype,(LPBYTE)&mode,&datasize);
	RegQueryValueEx(hRegKey,"Game",NULL,&datatype,(LPBYTE)&game,&datasize);
	RegQueryValueEx(hRegKey,"Windowed",NULL,&datatype,(LPBYTE)&windowed,&datasize);
	RegQueryValueEx(hRegKey,"Table",NULL,&datatype,(LPBYTE)&Table,&datasize);
	RegCloseKey(hRegKey);

	uAdapter=(int)adapter;
	uMode=(int)mode;
	GameType=(int)game;
	Windowed=(BOOL)windowed;
	table=(int)Table;
}

void SaveRegSettings(DWORD Radapter,DWORD Rmode,DWORD Rgame,DWORD Rwindowed,DWORD Rtable)
{
	unsigned long result;
	HKEY hRegKey;
	
	RegCreateKeyEx(HKEY_LOCAL_MACHINE,"Software\\3dPool\\Settings",0,
		"",0,KEY_ALL_ACCESS,NULL,&hRegKey,&result);
	
	RegSetValueEx(hRegKey,"Adapter",0,REG_DWORD,(LPBYTE)&Radapter,sizeof(DWORD) );
	RegSetValueEx(hRegKey,"Mode",0,REG_DWORD,(LPBYTE)&Rmode,sizeof(DWORD) );
	RegSetValueEx(hRegKey,"Game",0,REG_DWORD,(LPBYTE)&Rgame,sizeof(DWORD) );
	RegSetValueEx(hRegKey,"Windowed",0,REG_DWORD,(LPBYTE)&Rwindowed,sizeof(DWORD) );
	RegSetValueEx(hRegKey,"Table",0,REG_DWORD,(LPBYTE)&Rtable,sizeof(DWORD) );
	RegCloseKey(hRegKey);
}
